# Changelogs
## [Latest (2.0.5)](https://main--62864afca94751004acf37bc.chromatic.com) - 21/07/2023

### Added
- Added new icons
  - IconArtworkLibMenu, IconColorLibMenu, IconColorPalettesMenu, IconFiteValuationMenu, IconMaterialPalettesMenu, IconSampleTrackingMenu, IconSubmits, IconTechspecMenu.

## Version [2.0.4](https://62864afca94751004acf37bc-wjxolswxgj.chromatic.com/) - 17/04/2023

### Fixes
- Input component, onBlur callback timeout removed

## Version [2.0.3](https://62864afca94751004acf37bc-inzhelzwzj.chromatic.com/) - 12/04/2023

### Changes
- Icon support for fill and stroke fixed
- Input Component disabled opacity to .6
- Pills component border-radius
- Divider component support style type dashed, solid, dotted and double option to render storybook component in custom component. Helpful in development of component to support in custom web component.
- storybook decorator for rendering story component in web component

## Version [2.0.0](https://62864afca94751004acf37bc-whroerhncw.chromatic.com/) - 28/03/2023

### Added 
- 346 new Icon component added
- Link (Anchor tag) component added
- ListView component added
  
### Changes

- Tile component enhancements
  - extra props support for Tile.Header, Tile.Body and Tile.Footer component such as className, id, data-\*=[] etc.
  - headerSubContent props support for Tile.Header
  - updated documentation
- Modal Component enhancements

  - support resizable with percentage width & height & left & top
  - modal as window, border highlight
  - footer container with padding 20px; same as modal body and modal header

  - show ellipsis if title is truncated
  - if title is truncated, show html title attribute on title hover,
    controlled by props: showTitleOnEllipsis type boolean

- Input Component
  - updated props clearable to support for x mark in input field to clear input field,
  - Support prefix/suffix on input field with props
    inputPrefix <ReactNode|HTMLElement> for prefix on input field
    inputSuffix <ReactNode|HTMLElement> for suffix on input field
- Divider component
  - support for type: horizontal|vertical
  - support for props as color, id, classname, style
  
### Fixes

- white corder on modal with backdrop

## Version [1.0.21](https://62864afca94751004acf37bc-torghxvpbm.chromatic.com) - 01/09/2022

### Changes

- UI enhancements
- useClickOutside hook support for custom element to work within shadow root
- popover component support for within shadow root
- warning list popover component support for within shadow root

## Version [1.0.20](https://62864afca94751004acf37bc-rjdrqrgera.chromatic.com) - 29/08/2022

### Changes

- UI enhancements

## Version 1.0.19 - 29/08/2022

### Changes

- UI enhancements

## Version 1.0.18 - 18/08/2022

### Changes

- toggable button active background color
- Bug fixes

## Version 1.0.17 - 18/08/2022

### Changes

- added style for grid from kendo default theme
- Input field error background
- Bug fixes

## Version 1.0.16 - 16/08/2022

### Changes

- display label for date-picker, dropdown, multi-dropdown
- Bug fixes

## Version 1.0.15 - 16/08/2022

### Changes

- Bug fixes

## Version 1.0.13 - 09/08/2022

### Added

- Typography
- Display label support for input field

### changes

```
- base html, body set font-size:14px;
- Standard predefined font-sizes
  xx-small: 10px;
  x-small:12px;
  small:14px;
  normal:16px;
  large:18px;
  x-large:24px;
  xx-large:32px;
- Prop `size` support for components, Input, Button, Dropdown, AutoComplete, Label, MultiSelectDropdown and Typography
- Updated input field size
- Fix input and dropdown fields padding
- Thickness support on <Divider /> component
- Updated placeholder color
- font-style/family documentation updated on welcome page
- useful hooks exported
  `useClickOutside`
  `useMediaQuery`
  `useScrollTo`
  `useWindowSize`

- updated br-theme
- Bug fixes

```