import { Story, Meta } from '@storybook/react';
import { Divider, DividerProps } from './divider';

export default {
  component: Divider,
  title: 'Layout/Divider',
  argTypes: {
    $size: {
      table: {
        disable: true,
      },
    },
  },
} as Meta;

const Template: Story<DividerProps> = (args) => <Divider {...args} />;

export const Primary = Template.bind({});
Primary.args = {};
