import { Story, Meta } from '@storybook/react';
import { DonutChartGroup, DonutChartGroupProps } from './donut-chart-group';
import data from './data.json';

export default {
  component: DonutChartGroup,
  title: 'Charts/DonutChartGroup',
} as Meta;

const Template: Story<DonutChartGroupProps> = (args) => (
  <DonutChartGroup
    {...args}
    title={args.title}
    value={args.value}
    data={args.data}
  ></DonutChartGroup>
);

export const Primary = Template.bind({});
Primary.args = {
  title: 'Alert',
  value: '30',
  data: data.donutData,
};
