import { Story, Meta } from '@storybook/react';
import { Error, ErrorProps } from './error';

export default {
  component: Error,
  title: 'Labels/Error',
} as Meta;

const Template: Story<ErrorProps> = (args) => <Error {...args} />;

export const Primary = Template.bind({});
Primary.args = {
  children: 'im the Error component',
};
