import styled from 'styled-components';
import {
  Error as KError,
  ErrorProps as KErrorProps,
} from '@progress/kendo-react-labels';

/* eslint-disable-next-line */
export interface ErrorProps extends KErrorProps {}

const StyledError = styled(KError)`
&&&{
  font-style: initial;
}`;

export const Error = ({ children, ...props }: ErrorProps) => {
  return <StyledError {...props}>{children}</StyledError>;
};

export default Error;
