import { Story, Meta } from '@storybook/react';
import { Hint, HintProps } from './hint';

export default {
  component: Hint,
  title: 'Labels/Hint',
} as Meta;

const Template: Story<HintProps> = (args) => <Hint {...args} />;

export const Primary = Template.bind({});
Primary.args = {
  children: 'Im the Hint component',
};
