import styled, { css } from 'styled-components';
import { Label as KLabel } from '@progress/kendo-react-labels';
import { rem, colors, fontWeights, fontSize } from '../../../utils';
import { LabelProps } from '../label';
import { styledStyles } from '../../../utils/styledStyles';

export const StyledLabel = styled(KLabel)<LabelProps>`
  &&& {
    font-weight: ${fontWeights.semiBold};
    margin-bottom: ${rem(5)};
    color: ${colors.gray500};
    ${({size})=>styledStyles.sizes(size)}
  }
`;
