import { Meta } from '@storybook/react';
import { LinkList } from './link-list';
import styled from 'styled-components';

export default {
  component: LinkList,
  title: 'Buttons/LinkList',
} as Meta;

const StyledContainer = styled.div`
  width: 100%;
  height: 100vh;
  background-color: #242424;
  padding: 40px;
`;

export const Primary = (args) => {
  return (
    <StyledContainer>
      <LinkList category="MATERIAL" {...args}>
        <LinkList.Link href="#" label="Color Library" />
        <LinkList.Link href="#" label="Material Library" />
        <LinkList.Link href="#" label="Artwork Library" />
        <LinkList.Link href="#" label="Color Palettes" />
        <LinkList.Link href="#" label="Material Palettes" />
      </LinkList>
    </StyledContainer>
  );
};
