import { createContext } from 'react';

export type TileContextType = {
  subComponents: any;
  isCollapsible: boolean;
  variant: string;
  isCollapsed: boolean;
  updateContext:(args)=>void;
};

export const TileContext = createContext<TileContextType>({
  subComponents: null,
  isCollapsible: false,
  variant: '',
  isCollapsed:false,
  updateContext:(args)=>undefined,
});
