import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const H6 = ({themeColor,children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.h6 themeColor={themeColor} {...props}>
        {children}
      </StyledTypography.h6>
    );
  }

export default H6