import styled from 'styled-components';
import { colors, rem, fontWeights, fontSize } from '../../../utils';

const StyledWarningIconListContainer = styled.div`
  display: flex;
  align-items: center;
  & span {
    padding-right: ${rem(6)};
    font-size: ${fontSize.small};
    font-weight: ${fontWeights.semiBold};
    color: ${colors.red};
  }
  & button {
    margin-right: ${rem(20)};
    color: ${colors.red};
    border: none;
    background-color: transparent;
    padding: 0;
    padding-top: ${rem(6)};
  }
`;

export default StyledWarningIconListContainer;
