import { Story, Meta } from '@storybook/react';
import { WarningIconList, WarningIconListProps } from './warning-icon-list';

export default {
  component: WarningIconList,
  title: 'Tooltips/WarningIconList',
} as Meta;

const Template: Story<WarningIconListProps> = (args) => (
  <div style={{ margin: '160px' }}>
    <WarningIconList {...args} />
  </div>
);

export const Primary = Template.bind({});
Primary.args = {
  warningItems: ['first', 'second', 'last'],
};
