import { rem } from './';
//based on root font-size:14px;
export const inputHeight = {
  xxsm: rem(20),
  xsm: rem(24),
  sm: rem(30),
  normal: rem(34),
  md: rem(38),
  lg: rem(44),
  xlg: rem(48),
  xxlg: rem(64)
};

export const fontWeights = {
  light: 300,
  regular: 400,
  medium: 500,
  semiBold: 600,
  bold: 700,
  extraBold: 800,
};

export const fontSize = {
  xxSmall: rem(10),
  xSmall: rem(12),
  small: rem(14),
  normal: rem(16),
  medium: rem(18),
  large: rem(20),
  xLarge: rem(24),
  xxLarge: rem(32),
};
