import styled from 'styled-components';
import { rem, fontWeights, fontSize } from '../../../utils';

const StyledDonutChartGroup = styled.div`
  display: flex;
  flex-direction: row;
  max-width: ${rem(180)};
  align-items: center;

  & div:first-of-type {
    display: flex;
    flex-direction: column;
    align-items: center;

    & span:first-of-type {
      font-size: ${rem(21)};
      font-weight: ${fontWeights.semiBold};
    }
    & span:last-of-type {
      font-size: ${fontSize.large};
      font-weight: ${fontWeights.regular};
      text-align: center;
    }
  }

  @media (max-width: ${rem(1275)}) {
    flex-direction: column;
  }
`;

export default StyledDonutChartGroup;
