import styled from 'styled-components';
import {
  Hint as KHint,
  HintProps as KHintProps,
} from '@progress/kendo-react-labels';

/* eslint-disable-next-line */
export interface HintProps extends KHintProps {}

const StyledHint = styled(KHint)`
&&&{
  font-style: initial;
}`;

export const Hint = ({ children, ...props }: HintProps) => {
  return <StyledHint {...props}>{children}</StyledHint>;
};

export default Hint;
