import styled from 'styled-components';
import { rem, fontWeights, fontSize } from '../../../utils';

export const StyledInfo = styled.div`
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  margin-bottom: ${rem(4)};

  & div:first-of-type {
    font-weight: ${fontWeights.semiBold};
  }

  & div {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1;
    font-size: ${fontSize.small};
  }
`;
