import styled from 'styled-components';
import { rem } from 'libs/br-components/src/utils';

const StyledFooter = styled.div`
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: ${rem(10)} 0 ${rem(20)} 0;

  & > button:first-of-type {
    margin-right: ${rem(20)};
  }

  & > button {
    width: 50%;
  }
`;

export default StyledFooter;
