import styled from 'styled-components';
import { rem } from 'libs/br-components/src/utils';

const StyledHeader = styled.div`
  display: flex;
  flex-direction: row;
  padding: ${rem(22)} 0 0 0;

  & > span:first-of-type {
    flex-grow: 1;
    align-self: center;
  }

  & > div > button:first-of-type {
    margin-right: ${rem(10)};
  }
`;

export default StyledHeader;
