import styled from 'styled-components';
import { colors, rem } from 'libs/br-components/src/utils';
import { InfoPanelVendorProps } from '../info-panel-vendor';

const StyledInfoPanelVendor = styled.div<InfoPanelVendorProps>`
  & > div {
    border: 2px solid
      ${({ isActive }) => (isActive ? colors.purple : colors.white)};
    & > div {
      background-color: ${colors.white};
      padding: 0 ${rem(20)};
    }
  }
`;

export default StyledInfoPanelVendor;
