import { LabelProps as KLabelProps } from '@progress/kendo-react-labels';
import { StyledLabel } from './styles';

export interface LabelProps extends KLabelProps {
  /** Sets the size of a Label text */
  size?: 'xx-small' |'x-small'| 'small'|'normal' | 'medium' | 'large' |'x-large'|'xx-large'|any;
}

export const Label = ({ size = 'normal', ...props }: LabelProps) => {
  return <StyledLabel size={size} {...props} />;
};

export default Label;
