import { Story, Meta } from '@storybook/react';
import Link, { LinkProps } from './link';

export default {
  component: Link,
  title: 'Link/Link',
} as Meta;

const Template: Story<LinkProps> = (args) => <Link {...args} >Welcome to @bamboorose/br-components</Link>;

export const Default = Template.bind({});
Default.args = { href:"https://main--62864afca94751004acf37bc.chromatic.com/",target:"_blank",onClick:(event:any) => {console.log(event);return;}};

export const DisabledLink = Template.bind({});
DisabledLink.args = { href:"https://main--62864afca94751004acf37bc.chromatic.com/",target:"_blank",disabled:true,onClick:(event:any) => {console.log(event);return;}};
