import { StyledGridWrap } from './styles';

/* eslint-disable-next-line */
export interface StyledGridProps {
  /** todo */
  variant?: 'primary' | 'secondary' | 'condensed';
  /** todo */
  children: any;
  /** todo */
  isFullWidth?: boolean;
}

export const StyledGrid = ({
  children = <></>,
  isFullWidth = false,
  variant = 'primary',
}: StyledGridProps) => {
  return (
    <StyledGridWrap isFullWidth={isFullWidth} variant={variant}>
      {children}
    </StyledGridWrap>
  );
};

export default StyledGrid;
