import { Story, Meta } from '@storybook/react';
import  Code  from './Code';

export default {
  component: Code,
  title: 'Typography/Code',
} as Meta;

const Template: Story = (args) => <Code {...args} 
  text={ `const handleChange = ({ target }) => {
    const { name, value } = target;
    const newData = Object.assign({}, data, { [name]: value });
    setData(newData);
    }`}
/>;

export const Primary = Template.bind({});
Primary.args = {};
