import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const Code = ({ themeColor, text="",children, ...props }: TypographyProps) => {
  return (
    <StyledTypography.code themeColor={themeColor} {...props}dangerouslySetInnerHTML={{
      __html: text}} {...props}/>        
  );
}

export default Code