import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const H1 = ({themeColor,children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.h1 themeColor={themeColor} {...props}>
        {children}
      </StyledTypography.h1>
    );
  }

export default H1