import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const H2 = ({themeColor,children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.h2 themeColor={themeColor} {...props}>
        {children}
      </StyledTypography.h2>
    );
  }

export default H2