import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const H3 = ({themeColor,children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.h3 themeColor={themeColor} {...props}>
        {children}
      </StyledTypography.h3>
    );
  }

export default H3