import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const H5 = ({themeColor,children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.h5 themeColor={themeColor} {...props}>
        {children}
      </StyledTypography.h5>
    );
  }

export default H5