import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const P = ({themeColor,size="small",children,...props}: TypographyProps)=> {
    return (
      <StyledTypography.p themeColor={themeColor} size={size} {...props}>
        {children}
      </StyledTypography.p>
    );
  }

export default P