import { StyledTypography } from "../../styles"
import { TypographyProps } from "../../typography";

const Pre = ({themeColor,text="",size="small",...props}: TypographyProps)=> {
    return (
      <StyledTypography.pre themeColor={themeColor} size={size} dangerouslySetInnerHTML={{
        __html: text}} {...props}/>        
    );
  }

export default Pre