import styled from 'styled-components';
import { rem, colors } from '../../../utils';

const StyledWarningList = styled.ul`
  list-style-type: none;
  padding: ${rem(10)};
  margin: 0;
  & li {
    display: flex;
    align-items: center;
    color: ${colors.red};
    & span {
      margin-left: ${rem(10)};
    }
    &:not(li:last-of-type) {
      padding-bottom: ${rem(20)};
    }
  }
`;

export default StyledWarningList;
