import { rem as _rem, em } from 'polished';
import opacity from 'color-alpha';
import { colors } from './colors';
import { inputHeight, fontWeights, fontSize } from './units';
import { v4 as uuid } from 'uuid';
import { textThemeColor } from './typography'
function rem(value, htmlFontSize) {
  var _htmlFontSize = 12;
  let fontSize = localStorage.getItem("htmlFontSize"); //dynamically get html font size
  if(fontSize && parseInt(fontSize)){
    _htmlFontSize = parseInt(fontSize); //12px
  }
  !htmlFontSize && (htmlFontSize = _htmlFontSize);
  return _rem(value, htmlFontSize)
}
export {
  colors,
  rem,
  em,
  opacity,
  inputHeight,
  fontWeights,
  fontSize,
  uuid,
  textThemeColor
};
